Creates a new escalation level from provided data
curl --request POST \
--url https://api.rootly.com/v1/escalation_policies/{escalation_policy_id}/escalation_levels \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"type": "escalation_levels",
"attributes": {
"position": 123,
"notification_target_params": [
{
"id": "<string>",
"type": "team",
"team_members": "all"
}
],
"delay": 123,
"paging_strategy_configuration_strategy": "default",
"paging_strategy_configuration_schedule_strategy": "on_call_only",
"escalation_policy_path_id": "<string>"
}
}
}
'{
"data": {
"id": "44aa235c-d4e6-4b08-a783-064edc6cb46f",
"type": "escalation_levels",
"attributes": {
"escalation_policy_path_id": "9c7bde47-009f-4bda-b97a-b57cadd42f4c",
"position": 1,
"delay": 2,
"escalation_policy_id": "698d5cd7-c4ce-4053-9e6b-e0ffceceb774",
"paging_strategy_configuration_strategy": null,
"paging_strategy_configuration_schedule_strategy": null,
"created_at": "2026-01-23T22:56:02.056-08:00",
"updated_at": "2026-01-23T22:56:02.056-08:00",
"notification_target_params": [
{
"id": "298",
"type": "user",
"team_members": "all"
},
{
"id": "82f49a69-10ee-42d1-b02b-d5ab7c4ddb76",
"type": "schedule",
"team_members": "all"
},
{
"id": "CX21345",
"type": "slack_channel",
"team_members": "all"
}
]
}
}
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Show child attributes
escalation level created
Show child attributes
Was this page helpful?
curl --request POST \
--url https://api.rootly.com/v1/escalation_policies/{escalation_policy_id}/escalation_levels \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"type": "escalation_levels",
"attributes": {
"position": 123,
"notification_target_params": [
{
"id": "<string>",
"type": "team",
"team_members": "all"
}
],
"delay": 123,
"paging_strategy_configuration_strategy": "default",
"paging_strategy_configuration_schedule_strategy": "on_call_only",
"escalation_policy_path_id": "<string>"
}
}
}
'{
"data": {
"id": "44aa235c-d4e6-4b08-a783-064edc6cb46f",
"type": "escalation_levels",
"attributes": {
"escalation_policy_path_id": "9c7bde47-009f-4bda-b97a-b57cadd42f4c",
"position": 1,
"delay": 2,
"escalation_policy_id": "698d5cd7-c4ce-4053-9e6b-e0ffceceb774",
"paging_strategy_configuration_strategy": null,
"paging_strategy_configuration_schedule_strategy": null,
"created_at": "2026-01-23T22:56:02.056-08:00",
"updated_at": "2026-01-23T22:56:02.056-08:00",
"notification_target_params": [
{
"id": "298",
"type": "user",
"team_members": "all"
},
{
"id": "82f49a69-10ee-42d1-b02b-d5ab7c4ddb76",
"type": "schedule",
"team_members": "all"
},
{
"id": "CX21345",
"type": "slack_channel",
"team_members": "all"
}
]
}
}
}